# Watchdog in embedded_hal::watchdog - Rust
Feeds an existing watchdog to ensure the processor isn’t reset. Sometimes commonly referred to as “kicking” or “refreshing”.
Keywords: rust, rustlang, rust-lang, Watchdog

# Trait embedded_hal::watchdog::Watchdog

source · [−]

    pub trait Watchdog {
        type Error;
        fn try_feed(&mut self) -> Result<(), Self::Error>;
    }

Expand description

Feeds an existing watchdog to ensure the processor isn’t reset. Sometimes commonly referred to as “kicking” or “refreshing”.

## Associated Types

source

#### type Error

An enumeration of `Watchdog` errors.

For infallible implementations, will be `Infallible`

## Required methods

source

#### fn try_feed(&mut self) -> Result<(), Self::Error>

Triggers the watchdog. This must be done once the watchdog is started to prevent the processor being reset.

## Implementors